Delete bank reconciliation
curl --request DELETE \
--url https://sandbox.tight.com/v6/banks/reconciliations/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.tight.com/v6/banks/reconciliations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.tight.com/v6/banks/reconciliations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "brc_28868401",
"status": "ACTIVE",
"reconciliationStatus": "IN_PROGRESS",
"bankAccount": {
"id": "bka_7542850",
"name": "Business Checking",
"displayName": "Business Checking *1687"
},
"bankStatement": {
"id": "bst_28868401",
"url": "https://cdn.sandbox.tight.com/statements/bst_28868401.pdf"
},
"period": {
"beginDate": "2024-01-01",
"endDate": "2024-01-31"
},
"endBalance": 12345.67,
"completedDateTime": "2023-11-07T05:31:56Z",
"createdByUser": {
"id": "emp_28868401",
"userId": "usr_28868401",
"email": "editor@example.com"
},
"completedByUser": {
"id": "emp_28868401",
"userId": "usr_28868401",
"email": "editor@example.com"
},
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
}{
"result": "FAILURE",
"error": [
{
"type": "REQUIRED",
"message": "Amount is required",
"param": "amount"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Reconciliations
Delete bank reconciliation
Delete a bank reconciliation for the given id
DELETE
/
v6
/
banks
/
reconciliations
/
{id}
Delete bank reconciliation
Authorizations
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Path Parameters
The id of the bank reconciliation
⌘I